#!/usr/bin/env python3
import random


def roll():
    return random.randint(1, 6)


def stat_roll():
    return sorted(roll() for _ in range(4))[1:]


def all_stats():
    return [stat_roll() for _ in range(6)]


def main():
    tot = 0
    for n in range(1, 100_000 + 1):
        stats = all_stats()
        s = sum(sum(stat) for stat in stats)
        print(stats, s)
        tot += s
    print(tot / n)


if __name__ == '__main__':
    main()
